Bug 812717

Summary: [abrt] gnome-scan-0.6.2-7.fc15: handle_error: Process /usr/bin/flegita was killed by signal 5 (SIGTRAP)
Product: [Fedora] Fedora Reporter: Jason Herring <jaherring>
Component: gnome-scanAssignee: Deji Akingunola <dakingun>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: dakingun
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:4e8df7f32b7d41536dbaeeb11196590a0260cd90
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 08:36:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: event_log
none
File: backtrace
none
File: maps
none
File: dso_list
none
File: build_ids none

Description Jason Herring 2012-04-16 00:36:54 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        flegita
crash_function: handle_error
executable:     /usr/bin/flegita
kernel:         3.3.1-3.fc16.x86_64
pid:            29976
pwd:            /export/home/jas
reason:         Process /usr/bin/flegita was killed by signal 5 (SIGTRAP)
time:           Sun 15 Apr 2012 09:32:23 PM PDT
uid:            6669
username:       jas

backtrace:      Text file, 47112 bytes
build_ids:      Text file, 7669 bytes
dso_list:       Text file, 19871 bytes
event_log:      Text file, 5057 bytes
maps:           Text file, 86666 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=20
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/tcsh
:XDG_SESSION_COOKIE=27f6e557d122b44041159b160000000d-1334550385.355712-1266597343
:GNOME_KEYRING_CONTROL=/tmp/keyring-rKVLVu
:IMSETTINGS_MODULE=none
:USER=jas
:USERNAME=jas
:DESKTOP_SESSION=gnome
:PATH=/export/apps/local/bin:/usr/local/bin:.:/export/apps/bin:/export/share/bin:/export/apps/gcc/bin:/export/apps/local/bin:/usr/local/bin:.:/export/apps/bin:/export/share/bin:/export/apps/gcc/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/opt/ssh/bin:/usr/java/bin:/opt/gnu/bin:/export/home/jas/scripts:/export/home/jas/bin:/opt/acrobat4/bin:/usr/sbin:/opt/ssh/bin:/usr/java/bin:/export/home/jas/scripts:/export/home/jas/bin:/opt/acrobat4/bin:/export/apps/pvm/lib
:QT_IM_MODULE=xim
:PWD=/export/home/jas
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=28606
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/export/home/jas
:LOGNAME=jas
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6yOpAMohvm,guid=afed2d118f2b26d58779133b00009089
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/jas
:XAUTHORITY=/var/run/gdm/auth-for-jas-32s0mH/database
:HOSTTYPE=x86_64-linux
:VENDOR=unknown
:OSTYPE=linux
:MACHTYPE=x86_64
:GROUP=jas
:HOST=pangea
:MAIL=/var/spool/mail/jas
:HOSTNAME=pangea
:CCACHE_HASHDIR=
:LS_COLORS=
:CVS_RSH=ssh
:KDEDIRS=/usr
:KDE_IS_PRELINKED=1
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:QTLIB=/usr/lib64/qt-3.3/lib
:VMWARE_USE_SHIPPED_GTK=yes
:PVM_ROOT=/export/apps/pvm
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/28766,unix/unix:/tmp/.ICE-unix/28766
:GPG_AGENT_INFO=/tmp/keyring-rKVLVu/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-rKVLVu/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/flegita.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=29976

smolt_data:
:
:
:General
:=================================
:UUID: f7888305-6ae6-4f79-9c67-377d61f868e4
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6000.09
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 945 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 4
:CPU Speed: 3000
:System Memory: 16051
:System Swap: 6000
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Terra.3200.1200
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:1881:4163:33511) pci, pata_amd, STORAGE, MCP78S [GeForce 8200] IDE
:(4318:1908:4163:33733) pci, snd_hda_intel, MULTIMEDIA, MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio
:(4318:1912:4163:33511) pci, pcieport, PCI/PCI, MCP78S [GeForce 8200] PCI Express Bridge
:(4318:1888:4163:33333) pci, forcedeth, ETHERNET, MCP77 Ethernet
:(4318:1876:4163:33511) pci, None, RAM, MCP78S [GeForce 8200] Memory Controller
:(4318:1384:4163:33511) pci, None, RAM, MCP78S [GeForce 8200] Memory Controller
:(4318:1875:4163:33511) pci, None, PROCESSOR, MCP78S [GeForce 8200] Co-Processor
:(4318:1873:4163:33511) pci, None, RAM, MCP78S [GeForce 8200] Memory Controller
:(4318:1874:4163:33511) pci, nForce2_smbus, SERIAL, MCP78S [GeForce 8200] SMBus
:(4318:1885:4163:33511) pci, None, PCI/ISA, MCP78S [GeForce 8200] LPC Bridge
:(4318:1556:5963:37392) pci, nvidia, VIDEO, G92 [GeForce 9800 GT]
:(4318:1457:0:0) pci, pcieport, PCI/PCI, NF200 PCIe 2.0 switch for mainboards
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4318:1457:4318:50526) pci, pcieport, PCI/PCI, NF200 PCIe 2.0 switch for mainboards
:(4245:13617:4245:13617) pci, sata_sil24, STORAGE, SiI 3531 [SATALink/SATARaid] Serial ATA Controller
:(4318:1457:0:0) pci, pcieport, PCI/PCI, NF200 PCIe 2.0 switch for mainboards
:(4318:1915:4163:33511) pci, ohci_hcd, USB, MCP78S [GeForce 8200] OHCI USB 1.1 Controller
:(4318:1916:4163:33511) pci, ehci_hcd, USB, MCP78S [GeForce 8200] EHCI USB 2.0 Controller
:(4318:1914:4163:33511) pci, pcieport, PCI/PCI, MCP78S [GeForce 8200] PCI Bridge
:(4318:1914:4163:33511) pci, pcieport, PCI/PCI, MCP78S [GeForce 8200] PCI Bridge
:(4318:1882:4163:33511) pci, None, PCI/PCI, MCP78S [GeForce 8200] PCI Bridge
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(4318:2772:4163:33511) pci, ahci, STORAGE, MCP78S [GeForce 8200] AHCI Controller
:(4318:1917:4163:33511) pci, ohci_hcd, USB, MCP78S [GeForce 8200] OHCI USB 1.1 Controller
:(4318:1918:4163:33511) pci, ehci_hcd, USB, MCP78S [GeForce 8200] EHCI USB 2.0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda8 / ext4 4096 4096 6127788 2881972 2574730 1537088 1131440 1131440
:/dev/mapper/data-ldata WITHHELD ext4 4096 4096 365928051 224013344 205699156 91578368 90929647 90929647
:/dev/sda5 WITHHELD ext4 4096 4096 6127788 2582893 2275651 1537088 1188298 1188298
:/dev/sdd1 WITHHELD ext4 4096 4096 61206243 4236847 1172951 15327232 15316844 15316844
:

var_log_messages:
:Apr 15 21:32:23 pangea kernel: [37359.198485] flegita[29976] trap int3 ip:367e04d313 sp:7fffcb7bc940 error:0
:Apr 15 21:32:23 pangea abrt[29990]: Saved core dump of pid 29976 (/usr/bin/flegita) to /var/spool/abrt/ccpp-2012-04-15-21:32:23-29976 (44732416 bytes)

xsession_errors:
:** (flegita:29976): DEBUG: Initializing gnome-scan 0.6.2 for flegita (flegita)
:** (flegita:29976): DEBUG: gsane-module.c:39: SANE version is 1.0.22
:(flegita:29976): GLib-CRITICAL **: g_utf8_strlen: assertion `p != NULL || max == 0' failed
:** (flegita:29976): DEBUG: Number of options ((null)):
:** (flegita:29976): DEBUG:  gint none (GParamInt), (null)
:** (flegita:29976): DEBUG:  default = 12 ; flags = {writable}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG:  === Device Brother MFC-5460CN (12 options) ===
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG:  -- Group « Mode » --
:** (flegita:29976): DEBUG: Scan mode (mode):
:** (flegita:29976): DEBUG:  gchararray none (GSParamEnumSpec), {"Black & White", "Gray[Error Diffusion]", "True Gray", "24bit Color"}
:** (flegita:29976): DEBUG:  default = "24bit Color" ; flags = {writable}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: Scan resolution (resolution):
:** (flegita:29976): DEBUG:  gint dpi (GSParamEnumSpec), {100, 150, 200, 300, 400, 600, 1200, 2400, 4800, 9600}
:** (flegita:29976): DEBUG:  default = 200 ; flags = {writable}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: Scan source (source):
:** (flegita:29976): DEBUG:  gchararray none (GSParamEnumSpec), {"FlatBed", "Automatic Document Feeder"}
:** (flegita:29976): DEBUG:  default = "Automatic Document Feeder" ; flags = {writable}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: Brightness (brightness):
:** (flegita:29976): DEBUG:  gdouble percent (GSParamRangeSpec), [-50.000000;1.000000;50.000000]
:** (flegita:29976): DEBUG:  default = 0.000000 ; flags = {}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: Contrast (contrast):
:** (flegita:29976): DEBUG:  gdouble percent (GSParamRangeSpec), [-50.000000;1.000000;50.000000]
:** (flegita:29976): DEBUG:  default = 0.000000 ; flags = {}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG:  -- Group « Geometry » --
:** (flegita:29976): DEBUG: Top-left x (tl-x):
:** (flegita:29976): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;1.000000;215.899994]
:** (flegita:29976): DEBUG:  default = 0.000000 ; flags = {writable}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: Top-left y (tl-y):
:** (flegita:29976): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;1.000000;355.599991]
:** (flegita:29976): DEBUG:  default = 0.000000 ; flags = {writable}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: Bottom-right x (br-x):
:** (flegita:29976): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;1.000000;215.899994]
:** (flegita:29976): DEBUG:  default = 215.899994 ; flags = {writable}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: Bottom-right y (br-y):
:** (flegita:29976): DEBUG:  gdouble mm (GSParamRangeSpec), [0.000000;1.000000;355.599991]
:** (flegita:29976): DEBUG:  default = 355.599991 ; flags = {writable}
:** (flegita:29976): DEBUG: 
:** (flegita:29976): DEBUG: 215x215 mm at 0.000000
:** (flegita:29976): DEBUG: meta_param_preview_get_params
:** (flegita:29976): DEBUG: gsane-meta-param.c:776: Emulate preview
:** (flegita:29976): DEBUG: 
:Gdk-ERROR **: The program 'flegita' received an X Window System error.
Comment 1 Jason Herring 2012-04-16 00:36:58 EDT
Created attachment 577616 [details]
File: event_log
Comment 2 Jason Herring 2012-04-16 00:37:01 EDT
Created attachment 577617 [details]
File: backtrace
Comment 3 Jason Herring 2012-04-16 00:37:02 EDT
Created attachment 577618 [details]
File: maps
Comment 4 Jason Herring 2012-04-16 00:37:03 EDT
Created attachment 577619 [details]
File: dso_list
Comment 5 Jason Herring 2012-04-16 00:37:04 EDT
Created attachment 577620 [details]
File: build_ids
Comment 6 Fedora End Of Life 2013-01-16 07:57:51 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 08:36:35 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.